ui = navbarPage(title = 'Bathtub-Shaped Hazard',
                collapsible = T, 
                position = 'fixed-top',
                theme  = add_theme(getShinyOption('theme')),
                header = add_css(),
                footer = add_logo(),

tabPanel('Overview',
         sidebarLayout(
           sidebarPanel(
            sliderInput('xrange',
                        'Range',
                        min = 0,
                        max = 150,
                        value = c(0, 100),
                        step = 5),
            sliderInput('shape1',
                        'Shape Parameter (mode 1)',
                        min = .5,
                        max = 5,
                        value = 1.25,
                        step = 0.25),
            sliderInput('scale1',
                        'Scale Parameter (mode 1)',
                        min = 10,
                        max = 50,
                        value = 50,
                        step = 5),
            sliderInput('shape2',
                        'Shape Parameter (mode 2)',
                        min = 0.5,
                        max = 5,
                        value = 0.25,
                        step = 0.25),
            sliderInput('scale2',
                        'Scale Parameter (mode 2)',
                        min = 10,
                        max = 50,
                        value = 10,
                        step = 5),
            sliderInput('xi',
                        'Proportion At Risk',
                        min = 0,
                        max = 1,
                        value = .1,
                        step = 0.1)),
           mainPanel(plotOutput('bathtub', height = '600px')))))

