ui = fluidPage(theme = add_theme(getShinyOption('theme')), 
               add_css(),

sidebarLayout(
  sidebarPanel(width = 3, 
  hr(),
  sliderInput("range.gamma", 
              label = "Range",
              min =  0, 
              max = 50, 
              value = c(0,25)), 
  hr(),
  sliderInput("theta", 
              label = HTML("Scale Parameter &theta;"),
              min = .25, 
              max = 4, 
              step = .25, 
              value = .5, 
              animate = TRUE), 
  hr(),
  sliderInput("kappa",
              label = HTML("Shape Parameter &kappa;"),
              min = .25, 
              max = 15, 
              step = .25, 
              value = 1,
              animate = TRUE)),
mainPanel(width = 9,
 tabsetPanel(type = 'pills',
  tabPanel('Distribution Function',
           metricsgraphicsOutput(height = "550px", "gammaC")),
  tabPanel('Density',
           metricsgraphicsOutput(height = "550px", "gammaP")),
  tabPanel('Survival',
           metricsgraphicsOutput(height = "550px", "gammaR")),
  tabPanel('Hazard',
           metricsgraphicsOutput(height = "550px", "gammah")),
  tabPanel('Cumulative Hazard',
           metricsgraphicsOutput(height = "550px", "gammaH")),
  tabPanel('Quantile',
           metricsgraphicsOutput(height = "550px", "gammaQ"))))))
