ui = fluidPage(theme = add_theme(getShinyOption('theme')), 
               add_css(),
               
sidebarLayout(
  sidebarPanel(width = 3,
    sliderInput("range.hyp", 
                label = "Plot Range",
                min = 0, 
                max = 50, 
                step = 1,
                value = c(0,10)),
    sliderInput("m.hyp", 
                label = "Success States (m)",
                min = 0, 
                max = 50, 
                step=1, 
                value = 26,
                animate = TRUE),
    sliderInput("n.hyp", 
                label = "Failure States (n)",
                min = 0, 
                max = 50, 
                step = 1,
                value = 26),
    sliderInput("k.hyp", 
                label = "Draws (k)",
                min = 0, 
                max = 50, 
                step = 1, 
                value = 5,
                animate = TRUE)), 

mainPanel(width = 9, 
          tabsetPanel(type = "pills", 
          tabPanel("Distribution Function", 
                   metricsgraphicsOutput(height = "550px", "hyperC")), 
          tabPanel("Mass",
                   metricsgraphicsOutput(height = "550px", "hyperP")), 
          tabPanel("Survival", 
                   metricsgraphicsOutput(height = "550px", "hyperR")), 
          tabPanel("Hazard", 
                   metricsgraphicsOutput(height = "550px", "hyperh")), 
          tabPanel("Cumulative Hazard", 
                   metricsgraphicsOutput(height = "550px", "hyperH")),
          tabPanel("Quantile", 
                   metricsgraphicsOutput(height = "550px", "hyperQ")))))) 
