ui = fluidPage(theme = add_theme(getShinyOption('theme')), 
               add_css(),
              
sidebarLayout(
  sidebarPanel(width = 3, 
  hr(),
  sliderInput("range.n", 
              label = "Range",
              min = -20, 
              max = 20, 
              value = c(-4,4)),
  hr(),
  sliderInput("mu.n", 
              label = HTML("Mean (&mu;)"),
              min = -3, 
              max = 3, 
              step = 0.5, 
              value = 0, 
              animate = T),
  hr(),
  sliderInput("sig.n", 
              label = HTML("Std Dev (&sigma;)"),
              min = 0.5, 
              max = 5, 
              step = 0.5, 
              value = 1, 
              animate = T)),

mainPanel(width = 9,
 tabsetPanel(type = 'pills',
  tabPanel('Distribution Function',
           metricsgraphicsOutput(height = "550px", "norC")),
  tabPanel('Density',
           metricsgraphicsOutput(height = "550px", "norP")),
  tabPanel('Survival',
           metricsgraphicsOutput(height = "550px", "norR")),
  tabPanel('Hazard',
           metricsgraphicsOutput(height = "550px", "norh")),
  tabPanel('Cumulative Hazard',
           metricsgraphicsOutput(height = "550px", "norH")),
  tabPanel('Quantile',
           metricsgraphicsOutput(height = "550px", "norQ"))))))
