ui = fluidPage(theme = add_theme(getShinyOption('theme')), 
               add_css(),

sidebarLayout(
sidebarPanel(width = 3, 
  hr(),
  sliderInput("range.w", 
              label = "Range",  
              min = 0, 
              max = 50, 
              value = c(0,25)),
  hr(),
  sliderInput("scale.w", 
              label = HTML("Scale (&eta;)"),  
              min = 5, 
              max = 30, 
              step = 1, 
              value = 10, 
              animate = T),
  hr(),
  sliderInput("shape.w", 
              label = HTML("Shape (&beta;)"),  
              min = .5, 
              max = 10, 
              step = .5, 
              value = .5, 
              animate = T)),

mainPanel(width = 9,
 tabsetPanel(type = 'pills',
  tabPanel('Distribution Function',  
           metricsgraphicsOutput(height = "550px", "weibC")),
  tabPanel('Density',                
           metricsgraphicsOutput(height = "550px", "weibP")),
  tabPanel('Survival',               
           metricsgraphicsOutput(height = "550px", "weibR")),
  tabPanel('Hazard',                 
           metricsgraphicsOutput(height = "550px", "weibh")),
  tabPanel('Cumulative Hazard',      
           metricsgraphicsOutput(height = "550px", "weibH")),
  tabPanel('Quantile',               
           metricsgraphicsOutput(height = "550px", "weibQ"))))))
